For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
        • Products
        • Product Modifiers
        • Product Variants
        • Product Variant Options
            • GETList Product Variant Options
            • POSTCreate Product Variant Option
            • GETGet Product Variant Option
            • PUTUpdate Product Variant Option
            • DELDelete Product Variant Option
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogProduct Variant Options

Get Product Variant Option

GET
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/products/:product_id/options/:option_id
GET
/stores/:store_hash/v3/catalog/products/:product_id/options/:option_id
$curl https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/options/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "data": {
3 "config": {
4 "default_value": "Red",
5 "checked_by_default": true,
6 "checkbox_label": "Include gift wrap",
7 "date_limited": true,
8 "date_limit_mode": "range",
9 "date_earliest_value": "2023-01-01",
10 "date_latest_value": "2023-12-31",
11 "file_types_mode": "specific",
12 "file_types_supported": [
13 "images",
14 "documents",
15 "other"
16 ],
17 "file_types_other": [
18 "pdf"
19 ],
20 "file_max_size": 5,
21 "text_characters_limited": true,
22 "text_min_length": 1,
23 "text_max_length": 55,
24 "text_lines_limited": true,
25 "text_max_lines": 4,
26 "number_limited": true,
27 "number_limit_mode": "lowest",
28 "number_lowest_value": 100,
29 "number_highest_value": 1000.5,
30 "number_integers_only": false,
31 "product_list_adjusts_inventory": true,
32 "product_list_adjusts_pricing": true,
33 "product_list_shipping_calc": "weight"
34 },
35 "display_name": "Color Selection",
36 "id": 55,
37 "name": "Color_Selection_202406",
38 "option_values": [
39 {
40 "label": "Green",
41 "sort_order": 0,
42 "id": 1,
43 "is_default": false,
44 "value_data": {}
45 }
46 ],
47 "product_id": 4,
48 "sort_order": 1,
49 "type": "radio_buttons"
50 },
51 "meta": {}
52}

Returns a single Variant Option. Optional parameters can be passed in.

Was this page helpful?
Previous

Create Product Variant Option

Next

Update Product Variant Option

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idintegerRequired

The ID of the Product to which the resource belongs.

option_idintegerRequired

The ID of the Option.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

include_fieldslist of stringsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

exclude_fieldslist of stringsOptional

Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded.

Response

dataobject
metaobject
Response metadata.

Errors

404
Not Found Error

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.